QRcodly
APIShort url

List short URLs

Returns a paginated list of the authenticated user's short URLs. Supports filtering by destination URL, short code, and tags. Set standalone=true to only return short URLs that are not linked to a QR code.

GET
/short-url

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Query Parameters

page*integer

Page number to retrieve (1-based, default: 1)

Default1
Range1 <= value <= 1000
limit*integer

Number of items per page (1-100, default: 10)

Default10
Range1 <= value <= 100
where?

Filter conditions. Each field supports operators: eq (equals), neq (not equals), like (contains). Date fields also support gt, gte, lt, lte.

standalone?boolean

If true, only returns standalone short URLs (not linked to a QR code)

tagIds?array<>

Filter by tag ID(s). Only returns short URLs that have at least one of the specified tags

Items1 <= items

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.qrcodly.de/api/v1/short-url?page=1&limit=10"
{
  "page": 0,
  "limit": 0,
  "total": 0,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "shortCode": "strin",
      "name": null,
      "destinationUrl": "http://example.com",
      "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
      "isActive": true,
      "createdBy": "string",
      "deletedAt": null,
      "customDomain": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "domain": "string",
        "isDefault": true,
        "isEnabled": true,
        "createdBy": "string",
        "verificationPhase": "dns_verification",
        "ownershipTxtVerified": true,
        "cnameVerified": true,
        "cloudflareHostnameId": "string",
        "sslStatus": "initializing",
        "ownershipStatus": "pending",
        "sslValidationRecord": {
          "name": "string",
          "value": "string"
        },
        "ownershipValidationRecord": {
          "name": "string",
          "value": "string"
        },
        "validationErrors": [
          "string"
        ]
      },
      "tags": []
    }
  ]
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}